#!/usr/bin/make -f

export LC_ALL=C.UTF-8

override_dh_auto_clean:
	find $(CURDIR) -name "*.agdai" -delete
	rm -rf $(CURDIR)/html
	rm -f $(CURDIR)/GenerateEverything \
		$(CURDIR)/GenerateEverything.hi \
		$(CURDIR)/GenerateEverything.o \
		$(CURDIR)/Everything.agda
	dh_auto_clean

override_dh_auto_build:
	ghc --make GenerateEverything.hs
	./GenerateEverything
	agda +RTS -K1G -RTS -i $(CURDIR) -i $(CURDIR)/src $(CURDIR)/Everything.agda
	agda --html -i $(CURDIR) -i $(CURDIR)/src $(CURDIR)/README.agda

# Don't use upstream's 'make install'
override_dh_auto_install:

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	agda -i $(CURDIR) -i $(CURDIR)/src README.agda
endif

%:
	dh $@
